/**
* Price increment/discount by groups, categories and prices
*
* NOTICE OF LICENSE
*
* This product is licensed for one customer to use on one installation (test stores and multishop included).
* Site developer has the right to modify this module to suit their needs, but can not redistribute the module in
* whole or in part. Any other use of this module constitues a violation of the user agreement.
*
* DISCLAIMER
*
* NO WARRANTIES OF DATA SAFETY OR MODULE SECURITY
* ARE EXPRESSED OR IMPLIED. USE THIS MODULE IN ACCORDANCE
* WITH YOUR MERCHANT AGREEMENT, KNOWING THAT VIOLATIONS OF
* PCI COMPLIANCY OR A DATA BREACH CAN COST THOUSANDS OF DOLLARS
* IN FINES AND DAMAGE A STORES REPUTATION. USE AT YOUR OWN RISK.
*
*  @author    idnovate.com <info@idnovate.com>
*  @copyright 2016 idnovate.com
*  @license   See above
*/

updatePrice = (function() {
    var updatePriceCached = updatePrice;

    return function(json) {
        updatePriceCached.apply(this, arguments);
		if (combinationsFromController[$('#idCombination').val()] != undefined && combinationsFromController[$('#idCombination').val()]['price_modified'] != undefined) {
			price_modified = combinationsFromController[$('#idCombination').val()]['price_modified'];
			$('#our_price_display').text(formatCurrency(price_modified, currencyFormat, currencySign, currencyBlank));
		}

		if (combinationsFromController[$('#idCombination').val()] != undefined && combinationsFromController[$('#idCombination').val()]['old_price'] != undefined) {
			if (price_modified > 0) {
				$('#old_price, #old_price_display, #old_price_display_taxes').removeClass('hidden').show();
				if ($('#reduction_percent').text().trim() != '') {
					$('#reduction_percent').show();
					$('#reduction_amount').hide();
				}
				if ($('#reduction_amount').text().trim() != '') {
					$('#reduction_amount').show();
					$('#reduction_percent').hide();
				}
			}
		}
	}
})();