/**
* Price increment/discount by groups, categories and prices
*
* NOTICE OF LICENSE
*
* This product is licensed for one customer to use on one installation (test stores and multishop included).
* Site developer has the right to modify this module to suit their needs, but can not redistribute the module in
* whole or in part. Any other use of this module constitues a violation of the user agreement.
*
* DISCLAIMER
*
* NO WARRANTIES OF DATA SAFETY OR MODULE SECURITY
* ARE EXPRESSED OR IMPLIED. USE THIS MODULE IN ACCORDANCE
* WITH YOUR MERCHANT AGREEMENT, KNOWING THAT VIOLATIONS OF
* PCI COMPLIANCY OR A DATA BREACH CAN COST THOUSANDS OF DOLLARS
* IN FINES AND DAMAGE A STORES REPUTATION. USE AT YOUR OWN RISK.
*
*  @author    idnovate.com <info@idnovate.com>
*  @copyright 2016 idnovate.com
*  @license   See above
*/

jQuery('document').ready(function() {
	if (jQuery('#groupinc_configuration_form #mode').val() == 2) {
		jQuery('#groupinc_configuration_form #type').val(0);
		jQuery('#groupinc_configuration_form #type').closest(":has(label)").slideUp();
		jQuery('#price_calculation').closest(":has(label)").slideUp();
		jQuery('#percentage').closest(":has(label)").slideUp();
		jQuery('#percentage').val('');
		jQuery('#fix').closest(":has(label)").slideDown();
	} else {
		jQuery('#groupinc_configuration_form #type').closest(":has(label)").slideDown();
		jQuery('#price_calculation').closest(":has(label)").slideDown();
		jQuery('#percentage').closest(":has(label)").slideDown();
		jQuery('#fix').closest(":has(label)").slideUp();
	}

	if (jQuery('#groupinc_configuration_form #type').val() == 1) {
		jQuery('#price_calculation').closest(":has(label)").slideDown();
		jQuery('#percentage').closest(":has(label)").slideDown();
		jQuery('#fix').closest(":has(label)").slideUp();
	} else if (jQuery('#groupinc_configuration_form #type').val() == 0) {
		jQuery('#price_calculation').closest(":has(label)").slideUp();
		jQuery('#percentage').closest(":has(label)").slideUp();
		jQuery('#percentage').val('');
		jQuery('#fix').closest(":has(label)").slideDown();
	} else {
		jQuery('#price_calculation').closest(":has(label)").slideDown();
		jQuery('#percentage').closest(":has(label)").slideDown();
		jQuery('#fix').closest(":has(label)").slideDown();
	}

	jQuery('#groupinc_configuration_form #mode').change(function() {
		if ($(this).val() == 2) {
			jQuery('#groupinc_configuration_form #type').val(0);
			jQuery('#groupinc_configuration_form #type').closest(":has(label)").slideUp();
			jQuery('#price_calculation').closest(":has(label)").slideUp();
			jQuery('#percentage').closest(":has(label)").slideUp();
			jQuery('#percentage').val('');
			jQuery('#fix').closest(":has(label)").slideDown();
		} else {
			jQuery('#groupinc_configuration_form #type').closest(":has(label)").slideDown();
			jQuery('#price_calculation').closest(":has(label)").slideDown();
			jQuery('#percentage').closest(":has(label)").slideDown();
			jQuery('#fix').closest(":has(label)").slideUp();
		}
		jQuery('#groupinc_configuration_form #type').change();
	});

	jQuery('#groupinc_configuration_form #type').change(function() {
		if (jQuery(this).val() == 1) {
			jQuery('#price_calculation').closest(":has(label)").slideDown();
			jQuery('#percentage').closest(":has(label)").slideDown();
			jQuery('#fix').closest(":has(label)").slideUp();
		} else if (jQuery(this).val() == 0) {
			jQuery('#price_calculation').closest(":has(label)").slideUp();
			jQuery('#percentage').closest(":has(label)").slideUp();
			jQuery('#percentage').val('');
			jQuery('#fix').closest(":has(label)").slideDown();
		}
		else {
			jQuery('#price_calculation').closest(":has(label)").slideDown();
			jQuery('#percentage').closest(":has(label)").slideDown();
			jQuery('#fix').closest(":has(label)").slideDown();
		}
	});
});

