{**
* Price increment/discount by customer groups
*
* NOTICE OF LICENSE
*
* This product is licensed for one customer to use on one installation (test stores and multishop included).
* Site developer has the right to modify this module to suit their needs, but can not redistribute the module in
* whole or in part. Any other use of this module constitues a violation of the user agreement.
*
* DISCLAIMER
*
* NO WARRANTIES OF DATA SAFETY OR MODULE SECURITY
* ARE EXPRESSED OR IMPLIED. USE THIS MODULE IN ACCORDANCE
* WITH YOUR MERCHANT AGREEMENT, KNOWING THAT VIOLATIONS OF
* PCI COMPLIANCY OR A DATA BREACH CAN COST THOUSANDS OF DOLLARS
* IN FINES AND DAMAGE A STORES REPUTATION. USE AT YOUR OWN RISK.
*
*  @author    idnovate.com <info@idnovate.com>
*  @copyright 2016 idnovate.com
*  @license   See above
*}

<script src="../modules/groupinc/views/js/plugin/ui.multiselect.js"></script>
<script type="text/javascript">

var products_append = [];
var customers_append = [];

{foreach $customers_available as $c}
    customers_append.push('<option value="{$c['id_customer']|escape:'htmlall':'UTF-8'}">{$c['email']|escape:'htmlall':'UTF-8'}</option>');
{/foreach}

$("select[name='customers[]']").append(customers_append.join(''));

{foreach $products_available as $p}
    products_append.push('<option value="{$p['id_product']|escape:'htmlall':'UTF-8'}">{$p['name']|escape:'htmlall':'UTF-8'}</option>');
{/foreach}

$("select[name='products[]']").append(products_append.join(''));

{* select the values in client side (products and customers) *}

var products_selected = "{$products_selected|escape:'htmlall':'UTF-8'}";
var products_sel_array = products_selected.split(";");
for (i = 0; i < products_sel_array.length; ++i) {
    setSelectedIndex($("select[name='products[]']")[0], products_sel_array[i]);
}

var customers_selected = "{$customers_selected|escape:'htmlall':'UTF-8'}";
var customers_sel_array = customers_selected.split(";");
for (i = 0; i < customers_sel_array.length; ++i) {
    setSelectedIndex($("select[name='customers[]']")[0], customers_sel_array[i]);
}

{* ------------------------------ *}

$(document).ready(function() {
    $(".multiple_select").each(function() {
        $(this).multiselect();
    });
});

function setSelectedIndex(s, v) {
    for ( var i = 0; i < s.options.length; i++ ) {
        if ( s.options[i].value == v ) {
            s.options[i].selected = true;
            return;
        }
    }
}

</script>